Skip to content

Retrieve an article version

Request

Fetch a single prior version of an article, including its body content, by making a GET request to https://api.intercom.io/articles/<article_id>/versions/<id>. Returns the version's full content; the live article remains untouched.

Requires the read_articles_scope OAuth scope.

Security
bearerAuth
Path
article_idintegerrequired

The unique identifier for the article.

Example:123
idstringrequired

The unique identifier for the version.

Example:301
Query
localestring

Return the version's content for a specific locale. If the locale is not configured for the workspace, a 400 is returned.

Example:locale=en
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  'https://api.intercom.io/articles/123/versions/301?locale=en' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Version found

Bodyapplication/json
typestring

String representing the object's type. Always has the value article_version.

Value:"article_version"
Example:"article_version"
idstring

The unique identifier for the version.

Example:"301"
article_idstring

The unique identifier of the article this version belongs to.

Example:"123"
titlestring

The title of the article at this version.

Example:"This is the article title"
descriptionstring or null

The description of the article at this version.

Example:""
bodystring or null

The HTML body of the article at this version.

Example:"<p class=\"no-margin\">Body of this version</p>"
body_markdownstring or null

The Markdown body of the article at this version.

Example:"Body of this version\n"
author_idstring

The id of the teammate listed as the article's author at this version.

Example:"991267502"
created_by_idstring or null

The id of the teammate who created this version.

Example:"5017691"
created_viastring

How this version was created (for example web, api).

Example:"web"
from_version_idstring or null

The id of the version this version was created from, or null if this is the first version.

Example:"300"
statestring

Whether this version is the currently published version of the article (published) or an earlier non-live version (draft).

Enum:"published""draft"
Example:"published"
created_atinteger, (date-time)

The time the version was created, as a UTC Unix timestamp.

Example:1734537292
updated_atinteger, (date-time)

The time the version was last updated, as a UTC Unix timestamp.

Example:1734537292
Response
{ "type": "article_version", "id": "301", "article_id": "123", "title": "This is the article title", "description": "", "body": "<p class=\"no-margin\">Body of this version</p>", "body_markdown": "Body of this version\n", "author_id": "991267502", "created_by_id": "5017691", "created_via": "web", "from_version_id": "300", "state": "published", "created_at": 1734537292, "updated_at": 1734537292 }